=== modified file '.the_kraken/config'
--- .the_kraken/config	2011-01-26 03:03:09 +0000
+++ .the_kraken/config	2011-02-02 09:08:50 +0000
@@ -1,2 +1,3 @@
 testing = false
-series = trunk
+check_script = ./check-release.py
+edit_changelog = true

=== modified file 'NEWS'
--- NEWS	2011-01-26 00:47:42 +0000
+++ NEWS	2011-02-02 02:01:15 +0000
@@ -1,3 +1,7 @@
+February 1 2011
+* Fix Python 2.7 incompatibility
+* RELEASE: bzrtools 2.3.1
+
 January 25 2011
 * RELEASE: bzrtools 2.3.0
 

=== renamed file 'release.py' => 'check-release.py'
--- release.py	2011-01-26 03:03:09 +0000
+++ check-release.py	2011-02-02 09:08:50 +0000
@@ -21,14 +21,6 @@
     sys.exit(1)
 else:
     print "NEWS entry found"
-final_name = '../bzrtools-release/bzrtools-%s.tar.gz' % bzrtools.__version__
-if os.path.exists('../bzrtools.tar.gz'):
-    print "Temp file exists already."
-    sys.exit(1)
-if os.path.exists(final_name):
-    print "Final file exists already."
-    sys.exit(1)
 if call(['bzr', 'diff'], stdout=PIPE) != 0:
     print "Please commit before releasing"
     sys.exit(1)
-retcode = call(['the-kraken', bzrtools.__version__])

=== modified file 'debian/changelog'
--- debian/changelog	2011-02-02 09:08:17 +0000
+++ debian/changelog	2011-02-02 09:10:26 +0000
@@ -1,8 +1,10 @@
-bzrtools (2.3.0-1ubuntu1) UNRELEASED; urgency=low
+bzrtools (2.3.1-1) unstable; urgency=low
 
   * Update watch file to use new location on Launchpad.
+   + Fixes compatibility with Python 2.7. LP: #708268
+  * New upstream release.
 
- -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Feb 2011 10:08:13 +0100
+ -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Feb 2011 10:08:51 +0100
 
 bzrtools (2.3.0-1) unstable; urgency=low
 

=== modified file 'tests/upstream_import.py'
--- tests/upstream_import.py	2010-02-09 09:11:13 +0000
+++ tests/upstream_import.py	2011-02-02 01:53:23 +0000
@@ -119,9 +119,11 @@
             f.write('Now?')
             f.close()
             archive_file.add(prefix + 'README')
-            archive_file.close()
 
-            archive_file = builder(result, 'a')
+            f = file(prefix + 'README', 'wb')
+            f.write('Wow?')
+            f.close()
+            # Add a second entry for README with different contents.
             archive_file.add(prefix + 'README')
             archive_file.close()
 
@@ -218,6 +220,9 @@
             archive_file = self.make_archive2(builder, subdir)
             importer(tree, archive_file)
             self.assertTrue(tree.path2id('README') is not None)
+            # Ensure the second version of the file is used.
+            self.assertEqual(tree.get_file_text(tree.path2id('README')),
+                             'Wow?')
             self.assertTrue(not os.path.exists(tree.abspath('FEEDME')))
         finally:
             tree.unlock()

=== modified file 'version.py'
--- version.py	2011-01-26 03:21:08 +0000
+++ version.py	2011-02-02 09:10:26 +0000
@@ -75,5 +75,5 @@
     return main_version + sub_string
 
 
-version_info = (2, 3, 0)
+version_info = (2, 3, 1)
 __version__ = _format_version_tuple(version_info)

